Subject: RE: DOS <-> Unix filenames
From: [email-masked] (Bernard Dautrevaux)

5 Jan 1999 12:42:38 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 8bit
To: "[email-masked]'" <[email-masked]>,
        [email-masked]

> -----Message d'origine-----
> De:	Roger René Kommer [SMTP:[email-masked]]
> Date:	Monday, January 04, 1999 15:25
> À:	[email-masked]
> Objet:	DOS <-> Unix filenames
> 
> Hi,
> 
> I like to instrument bash, sed, etc. to manage my NT Server.
> 
> A common problem is, that in scripts that uses gygwin and NT command
> line utilities I have to covert the filenames from NT to cygwin
> and vice versa.
> 
> Sample:
> 
> //e/d/cxx/aproject <-> e:\d\cxx\aproject
> /usr/local/myfiles <-> d:\unixfs\usr\local\myfiles
> /cdrom/x/file      <-> x:\file
> ../dir/output       <-> .\dir\output
> 
> What I need is a (two) utilities which can convert these filenames
> ufn2dfn [u]nix[f]ile[n]ame2[d]os[f]ile[n]ame
> and
> dfn2ufn [d]os[f]ile[n]ame2[u]nix[f]ile[n]ame
> 
	<snipped>
> 
> If I didn't overlook a simpler solution I would suggest to integrate
this
> into the cygwin package. Alternatively it can be integrated into the
ls or
> mount command.

They already are present in cygwin-B20:
	ufn2dfn <==> cygpath -w
	dfn2ufn <==> cygpath -u

cygpath accept path names expressed as well as Unix-like names or
DOS-like names, and is also able to convert DOS ';'-separated path lists
in/from UNIX ':'-separated path lists.

	Regards,

		Bernard

------------------------------------------------------------------------
------
Bernard Dautrevaux
Microprocess Ingéniérie
97 bis, rue de Colombes
92400 COURBEVOIE
FRANCE
Tel:	+33 (0) 1 47 68 80 80
Fax:	+33 (0) 1 47 88 97 85
e-mail:	[email-masked]
		[email-masked]
------------------------------------------------------------------------
------

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".